Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxPage

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.ajax4jsf.taglib.html.jsp.AjaxPage

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxPage

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`AjaxPage()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxListener(javax.el.MethodExpression __ajaxListener)` MethodExpression representing an action listener method that will be notified when this component is activated by the ajax Request and handle it.
`void` | `setContentType(javax.el.ValueExpression __contentType)` Set custom mime content type to response Setter for contentType
`void` | `setFormat(javax.el.ValueExpression __format)` Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for format
`void` | `setImmediate(javax.el.ValueExpression __immediate)` Flag indicating that, if this component is activated by ajaxrequest, notifications should be delivered to interested listeners and actions immediately (that is, during Apply Request Values phase) rather than waiting until Invoke Application phase Setter for immediate
`void` | `setNamespace(javax.el.ValueExpression __namespace)` Set html element default namespace Setter for namespace
`void` | `setOnload(javax.el.ValueExpression __onload)` JavaScript code to execute on a page load.
`void` | `setOnunload(javax.el.ValueExpression __onunload)` JavaScript code to execute on a page unload.
`void` | `setPageTitle(javax.el.ValueExpression __pageTitle)` String for output as a page title.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSelfRendered(javax.el.ValueExpression __selfRendered)` if "true", self-render subtree at InvokeApplication ( or Decode, if immediate property set to true ) phase Setter for selfRendered

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### AjaxPage

    public AjaxPage()

Method Detail

### setAjaxListener

    public void setAjaxListener(javax.el.MethodExpression __ajaxListener)

  MethodExpression representing an action listener method that will be notified when this component is activated by the ajax Request and handle it. The expression must evaluate to a public method that takes an AjaxEvent parameter, with a return type of void Setter for ajaxListener

  Parameters:
    `ajaxListener` - - new value

### setContentType

    public void setContentType(javax.el.ValueExpression __contentType)

  Set custom mime content type to response Setter for contentType

  Parameters:
    `contentType` - - new value

### setFormat

    public void setFormat(javax.el.ValueExpression __format)

  Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for format

  Parameters:
    `format` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  Flag indicating that, if this component is activated by ajaxrequest, notifications should be delivered to interested listeners and actions immediately (that is, during Apply Request Values phase) rather than waiting until Invoke Application phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setNamespace

    public void setNamespace(javax.el.ValueExpression __namespace)

  Set html element default namespace Setter for namespace

  Parameters:
    `namespace` - - new value

### setOnload

    public void setOnload(javax.el.ValueExpression __onload)

  JavaScript code to execute on a page load. Setter for onload

  Parameters:
    `onload` - - new value

### setOnunload

    public void setOnunload(javax.el.ValueExpression __onunload)

  JavaScript code to execute on a page unload. Setter for onunload

  Parameters:
    `onunload` - - new value

### setPageTitle

    public void setPageTitle(javax.el.ValueExpression __pageTitle)

  String for output as a page title. Setter for pageTitle

  Parameters:
    `pageTitle` - - new value

### setSelfRendered

    public void setSelfRendered(javax.el.ValueExpression __selfRendered)

  if "true", self-render subtree at InvokeApplication ( or Decode, if immediate property set to true ) phase Setter for selfRendered

  Parameters:
    `selfRendered` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.